Debian Bug report logs - #546202
RFP: levmar -- Levenberg-Marquardt nonlinear least squares

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Teemu Ikonen <tpikonen@gmail.com>

Date: Fri, 11 Sep 2009 16:09:02 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, tpikonen@gmail.com, debian-science@lists.debian.org, <wnpp@debian.org>:
Bug#546202; Package wnpp. (Fri, 11 Sep 2009 16:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teemu Ikonen <tpikonen@gmail.com>:
New Bug report received and forwarded. Copy sent to tpikonen@gmail.com, debian-science@lists.debian.org, <wnpp@debian.org>. (Fri, 11 Sep 2009 16:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Teemu Ikonen <tpikonen@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: levmar -- Levenberg-Marquardt nonlinear least squares algorithms in C/C++
Date: Fri, 11 Sep 2009 18:05:44 +0200
Package: wnpp
Severity: wishlist

* Package name    : levmar
  Version         : 2.4
  Upstream Author : Manolis Lourakis
* URL             : http://www.ics.forth.gr/~lourakis/levmar/
* License         : GPL
  Programming Lang: C
  Description     : Levenberg-Marquardt nonlinear least squares algorithms

Levmar provides GPL native ANSI C implementations of the Levenberg-Marquardt
optimization algorithm, usable also from C++, Matlab, Perl and Python.
Both unconstrained and constrained (under linear equations
and box constraints) Levenberg-Marquardt variants are included.

Currently, Debian package hugin contains a copy of the levmar sources and it's
also needed for new version of meshlab.

Teemu




Changed Bug title to 'ITP: levmar -- Levenberg-Marquardt nonlinear least squares' from 'RFP: levmar -- Levenberg-Marquardt nonlinear least squares algorithms in C/C++' Request was from Stuart Prescott <stuart+debian@nanonanonano.net> to control@bugs.debian.org. (Sat, 12 Sep 2009 16:06:02 GMT) Full text and rfc822 format available.

Owner recorded as Stuart Prescott <stuart+debian@nanonanonano.net>. Request was from Stuart Prescott <stuart+debian@nanonanonano.net> to control@bugs.debian.org. (Sat, 12 Sep 2009 16:06:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#546202; Package wnpp. (Tue, 31 Aug 2010 10:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stuart Prescott <stuart+debian@nanonanonano.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 31 Aug 2010 10:42:06 GMT) Full text and rfc822 format available.

Message #14 received at 546202@bugs.debian.org (full text, mbox):

From: Stuart Prescott <stuart+debian@nanonanonano.net>
To: Daniil Ivanov <daniil.ivanov@gmail.com>
Cc: Teemu Ikonen <tpikonen@gmail.com>, 546202@bugs.debian.org
Subject: Re: levmar package question
Date: Tue, 31 Aug 2010 11:39:33 +0100
[Message part 1 (text/plain, inline)]
Hi!

I have indeed done a little work on packaging levmar for debian but my efforts 
stalled in the following places:

* it seems that the upstream developers see levmar as some code you include in 
some other project not as a shared library. They have at least started 
providing a so-producing makefile, but I'm not sure how committed to binary 
compatibility they are.

* I wasn't sure that SONAMEs were being bumped correctly and I don't yet know 
enough about SONAMEs to do this confidently on my own, so it slipped down my 
priority list somewhat.

* I originally thought that there were several users of levmar already in 
debian but when I went looking there appears to only be one (hugin) which is 
using a heavily modified, very old internal copy of levmar and the prospects 
of getting hugin to use a shared library version of levmar seem slim in the 
short term at least.

* I tried to contact the upstream authors of levmar to talk to them about 
packaging their library and to start developing a working relationship with 
them but never received a reply to my emails.

Having said that, levmar still looks like interesting code and it might be 
useful to have it in debian anyway, although the general rule that it's not 
worth packaging a library until there is some other package in debian to use 
it make me wonder if it's worth it at this stage. Chicken and egg.

I'd like to revisit levmar once squeeze is released and see if hugin can start 
using a newer version of levmar as a shared object instead. I'd be looking 
for someone with more experience in packaging libraries to help me with this 
though.

cheers
Stuart


-- 
Stuart Prescott                 www.nanoNANOnano.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stuart Prescott <stuart+debian@nanonanonano.net>:
Bug#546202; Package wnpp. (Tue, 31 Aug 2010 13:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniil Ivanov <daniil.ivanov@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stuart Prescott <stuart+debian@nanonanonano.net>. (Tue, 31 Aug 2010 13:24:03 GMT) Full text and rfc822 format available.

Message #19 received at 546202@bugs.debian.org (full text, mbox):

From: Daniil Ivanov <daniil.ivanov@gmail.com>
To: Stuart Prescott <stuart+debian@nanonanonano.net>
Cc: Teemu Ikonen <tpikonen@gmail.com>, 546202@bugs.debian.org
Subject: Re: levmar package question
Date: Tue, 31 Aug 2010 16:20:34 +0300
[Message part 1 (text/plain, inline)]
Hi all!

  I've made a Debianization of levmar package (attached to this email),
  but packaging is pretty awful due to a fact levmar is using
  custom Makefile instead of any build tools.

Thanks, Daniil.

On Tue, Aug 31, 2010 at 1:39 PM, Stuart Prescott
<stuart+debian@nanonanonano.net> wrote:
> Hi!
>
> I have indeed done a little work on packaging levmar for debian but my efforts
> stalled in the following places:
>
> * it seems that the upstream developers see levmar as some code you include in
> some other project not as a shared library. They have at least started
> providing a so-producing makefile, but I'm not sure how committed to binary
> compatibility they are.
>
> * I wasn't sure that SONAMEs were being bumped correctly and I don't yet know
> enough about SONAMEs to do this confidently on my own, so it slipped down my
> priority list somewhat.
>
> * I originally thought that there were several users of levmar already in
> debian but when I went looking there appears to only be one (hugin) which is
> using a heavily modified, very old internal copy of levmar and the prospects
> of getting hugin to use a shared library version of levmar seem slim in the
> short term at least.
>
> * I tried to contact the upstream authors of levmar to talk to them about
> packaging their library and to start developing a working relationship with
> them but never received a reply to my emails.
>
> Having said that, levmar still looks like interesting code and it might be
> useful to have it in debian anyway, although the general rule that it's not
> worth packaging a library until there is some other package in debian to use
> it make me wonder if it's worth it at this stage. Chicken and egg.
>
> I'd like to revisit levmar once squeeze is released and see if hugin can start
> using a newer version of levmar as a shared object instead. I'd be looking
> for someone with more experience in packaging libraries to help me with this
> though.
>
> cheers
> Stuart
>
>
> --
> Stuart Prescott                 www.nanoNANOnano.net
>
[levmar_2.5-4.tar.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stuart Prescott <stuart+debian@nanonanonano.net>:
Bug#546202; Package wnpp. (Wed, 27 Jul 2011 16:30:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stuart Prescott <stuart+debian@nanonanonano.net>. (Wed, 27 Jul 2011 16:30:11 GMT) Full text and rfc822 format available.

Message #24 received at 546202@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 546202@bugs.debian.org
Cc: control@bugs.debian.org
Subject: levmar: changing back from ITP to RFP
Date: Wed, 27 Jul 2011 18:02:32 +0200
retitle 546202 RFP: levmar -- Levenberg-Marquardt nonlinear least squares
noowner 546202
thanks

Hi,

This is an automatic email to change the status of levmar back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting levmar, please send a mail to
<control@bugs.debian.org> with:

 retitle 546202 ITP: levmar -- Levenberg-Marquardt nonlinear least squares
 owner 546202 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <546202@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: levmar -- Levenberg-Marquardt nonlinear least squares' from 'ITP: levmar -- Levenberg-Marquardt nonlinear least squares' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:55:01 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Stuart Prescott <stuart+debian@nanonanonano.net>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:55:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#546202; Package wnpp. (Thu, 08 Mar 2012 12:39:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniil Ivanov <daniil.ivanov@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 08 Mar 2012 12:39:22 GMT) Full text and rfc822 format available.

Message #33 received at 546202@bugs.debian.org (full text, mbox):

From: Daniil Ivanov <daniil.ivanov@gmail.com>
To: 546202@bugs.debian.org
Subject: Re: levmar package question
Date: Thu, 8 Mar 2012 14:28:39 +0200
[Message part 1 (text/plain, inline)]
Hi all!

 I've updated levmar debianization to version 2.6, please check an attachment.

Best regards,
Daniil
[levmar_2.6.tar.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#546202; Package wnpp. (Mon, 07 Oct 2013 19:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teemu Ikonen <tpikonen@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 07 Oct 2013 19:00:04 GMT) Full text and rfc822 format available.

Message #38 received at 546202@bugs.debian.org (full text, mbox):

From: Teemu Ikonen <tpikonen@gmail.com>
To: 546202@bugs.debian.org, debian-science <debian-science@lists.debian.org>
Subject: RFP: levmar -- Levenberg-Marquardt nonlinear least squares algorithms in C/C++
Date: Mon, 7 Oct 2013 20:56:14 +0200
[Message part 1 (text/plain, inline)]
Using the amazing http://codesearch.debian.net one finds that levmar is
included in rather many source packages in Debian:

freemat: levmar-2.3
hugin: some older version, probably patched
meshlab: levmar-2.3
sextractor: levmar-2.3
starlink-ast: parts of some older version from 2004
stimfit: levmar-2.5
(teem: can be linked with levmar, but apparently is not)

Since most of the packages above are maintained by Debian Science, is there
anyone who would want to take on a simple library package?

All included code is from an older version than the latest levmar-2.6, so
making levmar useful in Debian would require a considerable amount of
forward porting and fixing of upstream sources. On the other hand, having
the same code in six source packages is already a pretty bad case of
duplication.

Best,
Teemu
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#546202; Package wnpp. (Mon, 07 Oct 2013 23:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stuart Prescott <stuart@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 07 Oct 2013 23:39:09 GMT) Full text and rfc822 format available.

Message #43 received at 546202@bugs.debian.org (full text, mbox):

From: Stuart Prescott <stuart@debian.org>
To: debian-science@lists.debian.org
Cc: 546202@bugs.debian.org
Subject: Re: RFP: levmar -- Levenberg-Marquardt nonlinear least squares algorithms in C/C++
Date: Tue, 8 Oct 2013 10:34:51 +1100
Hi all,

On Tue, 8 Oct 2013 05:56:14 Teemu Ikonen wrote:
[...]
> All included code is from an older version than the latest levmar-2.6, so
> making levmar useful in Debian would require a considerable amount of
> forward porting and fixing of upstream sources. On the other hand, having
> the same code in six source packages is already a pretty bad case of
> duplication.

When I looked at levmar a few years ago I had the distinct impression that its 
authors really wanted it to be statically linked. The result of that is the 
multitude of different (patched) versions of levmar that you see embedded in 
different projects. There's a lot of work to do to convince the upstreams of 
freemat, hugin, meshlab, sextractor, starlink-ast, stimfit and teem that they 
want to work with a non-patched and up-to-date levmar instead of just 
continuing with their own versions.

Levmar upstream does have some support for building a shared object but I 
didn't feel confident that sovers would be properly managed and I didn't want 
to take on that responsibility myself which is why I abandoned my previous 
efforts with levmar too.

(just an added data point for anyone thinking of taking up packaging levmar)

cheers
Stuart

-- 
Stuart Prescott    http://www.nanonanonano.net/   stuart@nanonanonano.net
Debian Developer   http://www.debian.org/         stuart@debian.org
GPG fingerprint    BE65 FD1E F4EA 08F3 23D4 3C6D 9FE8 B8CD 71C5 D1A8
GPG fingerprint    90E2 D2C1 AD14 6A1B 7EBB 891D BBC1 7EBB 1396 F2F7



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#546202; Package wnpp. (Tue, 08 Oct 2013 08:39:05 GMT) Full text and rfc822 format available.

Message #46 received at 546202@bugs.debian.org (full text, mbox):

From: debian-devel@liska.ath.cx (Olе Streicher)
To: debian-science@lists.debian.org
Subject: Re: RFP: levmar -- Levenberg-Marquardt nonlinear least squares algorithms in C/C++
Date: Mon, 07 Oct 2013 23:44:32 +0200
Teemu Ikonen <tpikonen@gmail.com> writes:
> Using the amazing http://codesearch.debian.net one finds that levmar is
> included in rather many source packages in Debian:
>
> freemat: levmar-2.3
> hugin: some older version, probably patched
> meshlab: levmar-2.3
> sextractor: levmar-2.3
> starlink-ast: parts of some older version from 2004
> stimfit: levmar-2.5
> (teem: can be linked with levmar, but apparently is not)
>
> Since most of the packages above are maintained by Debian Science, is there
> anyone who would want to take on a simple library package?

I started packaging more than a year ago when I packaged sextractor:

http://anonscm.debian.org/gitweb/?p=debian-science/packages/levmar.git

However, I could not get sextractor working with the levmar-2.6, and so
I suspended this.

For starlink-ast, I could however ask upstream about the code. However,
I suspect that they heavily changed it, and it is not trivial to re-use
an existing library.

Best

Ole


-- 
To UNSUBSCRIBE, email to debian-science-request@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: http://lists.debian.org/87k3howybj.fsf@liska.ath.cx




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 11:05:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.